
require 'redpack-ruby'
require 'redis'


redis = Redis.new
transcoder = RedPack::BsonTransCoder.new
responder = RedPack::SyncRedisResponder.new(redis, transcoder)
disps = {
  'echo' => lambda{|s|
    puts "echo'ed with [#{s}]"
    return "ECHO: [#{s}]"
  },

  'greet' => lambda{|s|  
    puts "greet'ed with [#{s}]"
    return "HI, [#{s}]"
  },
}
dispatcher = RedPack::SimpleHashDispatcher.new(disps, responder)
server = RedPack::Server.new(redis, 'echo', transcoder, dispatcher)
while true do
  server.listen
end
