module RedPack

  class RequestContext

    attr_accessor :msg_id
    attr_accessor :response_queue_name
    attr_accessor :request_or_notify


    def initialize(response_queue_name, msg_id, request_or_notify)
      @response_queue_name = response_queue_name
      @msg_id = msg_id
      @request_or_notify = request_or_notify
    end

    def REQUEST?
      return self.request_or_notify == RedPack::Consts::REQUEST
    end

    def NOTIFY?
      return self.request_or_notify == RedPack::Consts::NOTIFY
    end

  end

end
