
require 'redpack-ruby'
require 'redis'


redis = Redis.new
transcoder = RedPack::BsonTransCoder.new
client = RedPack::SimpleSyncClient.new(redis, 'echo', transcoder)


thr = client.call_async('echo', 'hi') do |result|
  puts "async-result: #{result}"
end

p thr
thr.join

puts client.call('echo', 'hi?')

puts client.notify('echo', 'hi?')



